# Class BaseProvider

Namespace
  adas_core.Application.Providers

Assembly
  adas-core.Application.dll

    public abstract class BaseProvider

Inheritance
  object
  BaseProvider

Derived
  AdasProvider

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### BaseProvider(IOptions<ProvidersSettings>, IHttpClientFactory)

    protected BaseProvider(IOptions<ProvidersSettings> providerSettings, IHttpClientFactory httpClientFactory)

#### Parameters

`providerSettings` IOptions<ProvidersSettings>
`httpClientFactory` IHttpClientFactory

## Fields

### HttpClientFactory

    protected IHttpClientFactory HttpClientFactory

#### Field Value

IHttpClientFactory

## Properties

### Url

    protected string Url { get; set; }

#### Property Value

string

## Methods

### GetObservations(Patient)

Asynchronously retrieves the list of clinical observations associated with the specified patient.

    public abstract Task<List<PatientObservation>> GetObservations(Patient patient)

#### Parameters

`patient` Patient

  The patient whose observations are being requested.

#### Returns

Task<List<PatientObservation>>

  A task that represents the asynchronous operation, containing a list of PatientObservation entries for the patient.